let res = []

let b = 'A97nfY-IAQAAqoWs8TokCGd4ge9wiJWEtTySE7C1pLSDjEe4tzAzwKGvkJ2QASZebdKucn0ewH9eCOfvosJeCA=='
for (let i = 0; i < b.length; i+=2) {
    let n1 = b.charCodeAt(i)
    let n2 = b.charCodeAt(i+1)
    // console.log(n1,n2, n1 << 16 | n2 )
    res.push(n1 << 16 | n2)
}
console.log(res+'');

var r = 0;
for (let i = 0; i < res.length; i++) {
    let t2 = r << 5
    let t3 = t2 - r;
    let t = res[i];
    let t4 = t3 + t;
    r = t4 | 0;
    // console.log(r)
    // console.log()
}
console.log('randomkey1', r)
let r2 = 1434574246;
console.log('randomkey2', r2)


let tmp1 = 0.08636862211354912 * 4294967296;  // 370950407
tmp1 = tmp1 | 0
let t = tmp1 ^ r2;
t1 = r + t
console.log(t1)

t2 = t ^ r
t3 = r << 26
t4 = r >>> 6
let t5 = t3 | t4;
console.log()
